Bug 1787330 - Product task details tab repeatedly loads and appends tasks list data by XHR
Summary: Product task details tab repeatedly loads and appends tasks list data by XHR
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Repositories
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: James Jeffers
QA Contact: vijsingh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-02 12:33 UTC by vijsingh
Modified: 2020-04-14 13:28 UTC (History)
4 users (show)

Fixed In Version: tfm-rubygem-foreman-tasks-0.17.5.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:28:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28634 Normal Closed Task search query returns results with null ids 2020-03-02 15:51:20 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:28:22 UTC

Description vijsingh 2020-01-02 12:33:14 UTC
Description of problem:

Product task details tab repeatedly loads and appends tasks list data by XHR

Version-Release number of selected component (if applicable):

@Satellite 6.7.0 snap 7.0

How reproducible:

Always

Steps to Reproduce:

There seems to be on of 2 different issues here:

1. the list is not loaded once with the erb template
OR
2. the list once loaded by XHR appends instead of replacing the original task list element


Actual results:


Expected results:


Additional info:

Comment 4 vijsingh 2020-03-05 09:40:10 UTC
Verified

@Satellite 6.7.0 snap 14.0

 - The product task details tab shows related action tasks list data.

Comment 7 errata-xmlrpc 2020-04-14 13:28:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.